Bug 117005 - updfstab: catch-all patterns in configuration file?
Summary: updfstab: catch-all patterns in configuration file?
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-27 10:29 UTC by Tim Waugh
Modified: 2014-03-17 02:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-31 21:59:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of /proc/scsi/usb-storage-0/1 with device attached (204 bytes, text/plain)
2004-04-17 00:11 UTC, Tammy Fox
no flags Details

Description Tim Waugh 2004-02-27 10:29:14 UTC
Description of problem:
Shouldn't updfstab have some patterns in its configuration file to
match devices not caught by others but where it's clear what the
devices do?

For example, this entry (it's a USB CF card reader, but it could be
anything) from hwconf:

class: HD
bus: USB
detached: 0
driver: usb-storage
desc: "unknown"
usbclass: 8
usbsubclass: 6
usbprotocol: 50
usbbus: 2
usblevel: 1
usbport: 0
usbdev: 3
vendorId: 0c45
deviceId: 1050

The class, bus, and driver show that this is a USB mass storage device
of some sort, so it would be nice if an fstab entry could be added,
even if the partition number can only be guessed at.

kudzu-1.1.46-1

Comment 1 Bill Nottingham 2004-02-27 14:35:58 UTC
The matching is done on the SCSI entry, not the USB entry.


Comment 2 Tammy Fox 2004-03-01 14:31:28 UTC
Output of /proc/scsi/scsi with card reader inserted:

Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: _NEC     Model: CD-RW NR-9100A   Rev: 108A
  Type:   CD-ROM                           ANSI SCSI revision: 02
Host: scsi1 Channel: 00 Id: 00 Lun: 00
  Vendor: USB MASS Model:  STORAGE DEVICE  Rev: 0.1
  Type:   Direct-Access                    ANSI SCSI revision: 02


Comment 3 Bill Nottingham 2004-03-02 03:51:28 UTC
Ugh. USB MASS STORAGE DEVICE doesn't really lend itself to any good
name. :/

Comment 4 Bill Nottingham 2004-04-16 04:40:26 UTC
Can you attach /proc/scsi/usb-storage-* when this is attached?

Comment 5 Tammy Fox 2004-04-17 00:11:20 UTC
Created attachment 99504 [details]
output of /proc/scsi/usb-storage-0/1 with device attached

Comment 6 Bill Nottingham 2004-04-17 02:25:30 UTC
Unfortunately, that really doesn't have *any* distinguishing data. I
suppose we could have a /mnt/stuff entry. :)

Comment 7 Bill Nottingham 2005-03-31 21:59:41 UTC
As updfstab is no longer used in current releases (removable media mounting is
done via HAL, fstab-sync, and gnome-volume-manager), changes to updfstab will
almost certainly not be addressed.


Note You need to log in before you can comment on or make changes to this bug.